<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Create incident</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<style>
   body {
  background: url('https://images.unsplash.com/photo-1469854523086-cc02fe5d8800?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2021&q=80') no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;
  -o-background-size: cover;
}


</style>
<body>
<div class="container-fluid  d-flex justify-content-end align-items-center">
    <div class="container-fluid  d-flex justify-content-end align-items-center py-2">
        <a type="button" class="btn btn-primary btn-sm mr-2" th:href="@{/}">Account</a>
        <a type="button" class="btn btn-primary btn-sm mr-2" th:href="@{/}">To main</a>
        <a type="button" class="btn btn-primary btn-sm" th:href="@{/logout}">Logout</a>
    </div>
</div>
<div class="container-fluid d-flex justify-content-center align-items-center pt-2">
    <div class="row bg-light shadow-sm p-3 border border-dark rounded">
        <form th:method="POST" th:action="@{/incident}" th:object="${incident}">
            <div class="container-fluid d-flex justify-content-center align-items-center">
                <h4>New request</h4>
            </div>
            <div class="form-group">
                <label for="description">Describe problem*</label>
                <input type="text" class="form-control" th:field="*{description}" id="description"
                       aria-describedby="describHelp" placeholder="Enter your problem">
                <div class="alert alert-warning" th:if="${#fields.hasErrors('description')}"
                     th:errors="*{description}"></div>
                <small id="describHelp" class="form-text  text-warning">Please, describe what problem do you have. For
                    example:
                    "Petrol is over".</small>
            </div>
            <label for="carForm">Choose your car</label>
            <div class="form-select" id="carForm">
                <select name="make" id="make" th:field="*{carBrand}">
                    <option value=" ">Choose car brand</option>
                    <option th:each="brand : ${brands}" th:value="${brand.brandName}"
                            th:text="${brand.brandName}"></option>
                </select>
                <select name="model" id="model" th:field="*{carModel}">
                    <option value=" ">Choose car model</option>
                    <option th:each="model : ${models}" th:value="${model.modelName}"
                            th:text="${model.modelName} "
                            th:data-make="${model.carBrand.brandName}"></option>
                </select>
            </div>
            <div class="form-group pt-3">
                <label for="carWeight">Car weight</label>
                <input type="number" class="form-control" th:field="*{carWeight}" id="carWeight"
                       placeholder="Car weight in kg">
            </div>
            <div class="form-group">
                <label for="locFrom">Evacuation from</label>
                <input type="text" class="form-control" th:field="*{locFrom}" id="locFrom"
                       aria-describedby="locFromHelp"
                       placeholder="Enter where is your car">
                <small id="locFromHelp" class="form-text text-warning">If you need evacuation service, please enter
                    where your
                    car is. For example: "NY, 21st Ave, Bayside".</small>
            </div>
            <div class="form-group">
                <label for="locTo">Evacuation to</label>
                <input type="text" class="form-control" th:field="*{locTo}" id="locTo"
                       placeholder="Enter where you want to evacuate your car">
            </div>
            <small id="desc" class="form-text p-1">*Fields are required.</small>
            <button type="submit" class="btn btn-primary btn-block">Send</button>
        </form>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="/js/script2.js"></script>
</body>
</html>